{ config, lib, pkgs, self, ... }:

let
  cfg = config.samfelag.modules.system.bluetooth;
in
{
  options.samfelag.modules.system.bluetooth = {
    enable = lib.mkEnableOption "bluetooth";
  };
  config = lib.mkIf cfg.enable {
    hardware.bluetooth.enable = true;
    services.blueman.enable = true;
  };
}
